MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024479Open CASCADE[OCCT] OCCT:Samplespublic2013-12-18 12:592014-06-24 12:58
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024479: Ray Tracing mode does not work in Qt IE sample
DescriptionThere are some problems in how ray tracing is integrated into Qt IE sample, which make it unusable:

1. Project files generated by generation-vc-projects.bat do not link to OpenCL even if OCCT is built with it. CSF_DEFINES macro should be used in project properties (C++ / Preprocessor) to use OCCT settings properly

2. Even if HAVE_OPENCL macro is added manually, ray tracing in IE sample does not work (menu item "Window/New RT view" does nothing)

3. It would be more logical to keep using the same view but switch only mode (OpenGL/RT). The whole interface should be revised to be more meaningful.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024130closedbugmaster Open CASCADE Implementing ray tracing visualization core 
related to 0024548closedbugmaster Open CASCADE Ray Tracing mode not available in MFC samples 

-  Notes
(0027243)
abv (manager)
2013-12-18 13:04

4. RT-related buttons seem to have no associated resources for tooltips

Besides, MFC samples can be also extended to enable ray tracing.
(0027552)
dbp (developer)
2014-01-20 14:40

Dear kgv,

Could you please review the patch (branch CR24479_2)?
(0027556)
dbp (developer)
2014-01-20 16:10

Dear kgv,

the updated and rebased version of the patch is in CR24479 branch.
(0027558)
kgv (developer)
2014-01-20 17:00

Dear bugmaster,

please test Qt samples on CR24479_3 branch.
(0027573)
san (developer)
2014-01-21 12:27

Remark to the second part of 0024479:0027243: note that MFC samples will be treated in the frames of 0024548.
(0027608)
bugmaster (administrator)
2014-01-22 16:53
edited on: 2014-01-22 16:56

Fix was tested on branch CR24415_CR24479.
There no remarks except:
For example:
After you just start Tutorial application and select MakeBottle button the shape appears but after you select RT button the shape disappears and can not be displayed any means
The same behavior is at IE smple.


- Related Changesets
occt: master 861a7b03
Timestamp: 2014-01-22 15:07:53
Author: dbp
Committer: bugmaster
Details ] Diff ]
0024479: Ray Tracing mode does not work in Qt IE sample
Implementation of Ray Tracing mode in standard Qt sample
Fix compile warnings in Qt samples.
Fix tabs in Common-string.ts.
Update Code style.

0024415: Update QT samples
Code which was based on QT3 was removed. Some bugs and warnings has been also fixed.
Porting from QT4 to QT5 sample files.
add - samples/qt/Common/res/raytracing.png Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.h Diff ] File ]
mod - samples/qt/Common/src/Common-icon.ts Diff ] File ]
mod - samples/qt/Common/src/Common-string.ts Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.h Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.h Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/Common/src/View.h Diff ] File ]
mod - samples/qt/IESample/env.bat Diff ] File ]
mod - samples/qt/IESample/generation-vc-projects.bat Diff ] File ]
mod - samples/qt/IESample/IESample-vc10.sln Diff ] File ]
mod - samples/qt/IESample/IESample-vc9.sln Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/Interface/src/Application.cxx Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/qt/Tutorial/env.bat Diff ] File ]
mod - samples/qt/Tutorial/generation-vc-projects.bat Diff ] File ]
mod - samples/qt/Tutorial/src/ApplicationTut.cxx Diff ] File ]
mod - samples/qt/Tutorial/Tutorial-vc10.sln Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-18 12:59 abv New Issue
2013-12-18 12:59 abv Assigned To => bugmaster
2013-12-18 13:04 abv Note Added: 0027243
2013-12-18 13:05 abv Relationship added related to 0024130
2013-12-18 14:40 san Assigned To bugmaster => dbp
2013-12-18 14:40 san Status new => assigned
2013-12-18 14:40 san Target Version => 6.7.1
2014-01-11 12:06 abv Category OCCT Release:QT => OCCT:Samples
2014-01-20 14:40 dbp Note Added: 0027552
2014-01-20 14:40 dbp Assigned To dbp => kgv
2014-01-20 14:40 dbp Status assigned => resolved
2014-01-20 16:10 dbp Note Added: 0027556
2014-01-20 17:00 kgv Note Added: 0027558
2014-01-20 17:00 kgv Assigned To kgv => bugmaster
2014-01-20 17:00 kgv Status resolved => reviewed
2014-01-21 12:26 san Relationship added related to 0024548
2014-01-21 12:27 san Note Added: 0027573
2014-01-22 16:53 bugmaster Note Added: 0027608
2014-01-22 16:53 bugmaster Status reviewed => tested
2014-01-22 16:54 bugmaster Note Edited: 0027608 View Revisions
2014-01-22 16:56 bugmaster Note Edited: 0027608 View Revisions
2014-01-24 15:35 bugmaster Changeset attached => occt master 861a7b03
2014-01-24 15:35 bugmaster Status tested => verified
2014-01-24 15:35 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1
2014-06-24 12:58 kgv Relationship added related to 0025031


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker